import {Component, OnInit} from '@angular/core';
import {CommonService} from '../common.service';
import {ActivatedRoute, Router} from "@angular/router";

@Component({
  selector: 'app-loan',
  templateUrl: './loan.component.html',
  styleUrls: ['./loan.component.css']
})
export class LoanComponent implements OnInit {
  curPageData:Array<any>;
  //家庭结构
  type:any;
  pageAnswers: any;
  selectedOptionId: any;
  nextBtn:boolean;
  constructor(private commonService: CommonService,
    private router: Router, 
    private route: ActivatedRoute
    ) { 
      /**
     * 1:单身贵族
     * 2：二人世界
     * 3：独立带娃
     * 4：多口之家
     * @type {any}
     */
    this.type = this.route.snapshot.queryParams['type'];
    this.pageAnswers = {
      pageId: '',
      questions: [],
    };
  }

  ngOnInit() {
    this.nextBtn = false;
    this.surveyInfo()
  }

  surveyInfo() {
    this.commonService.surveyInfo().then(res => {
      if (res['success']) {
        this.curPageData = res['data']['survey'].pages['7']
        this.pageAnswers.pageId = this.curPageData['pageId'];
        console.log(this.curPageData)
      }
    })
  }

  selectedLoan(question,option){
    this.selectedOptionId = option.optionId;
    option.selected = true;
    const questions = {
      questionId: question.questionId,
      questionName: question.questionName,
      options: [option]
    };
    
    for (let i = 0; i < this.pageAnswers.questions.length; i++) {
      if (this.pageAnswers.questions[i].questionId == question.questionId) {
        const index = this.pageAnswers.questions.indexOf(this.pageAnswers.questions[i]);
        this.pageAnswers.questions.splice(index, 1);
      }
    }
    this.pageAnswers.questions.push(questions);
    this.commonService.addAnswer(this.pageAnswers);
    console.log(questions)
    console.log(this.pageAnswers)
    if(this.curPageData['questions'].length == this.pageAnswers['questions'].length){
      this.nextBtn = true;
    }else{
      this.nextBtn = false;
    }
  }

  next(){
    if(this.nextBtn == true){
      this.router.navigate(['/social'],{queryParams:{type:this.type}})
    }else{
      return
    }
  }
}
